"use strict";

var _interopRequireWildcard = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var icons = _interopRequireWildcard(require("./AvailableIcons"));

// import withStyles from '../with-styles'
// import styles, { keyframes } from './styles'
var Icons = function Icons(_ref) {
  var name = _ref.name,
      paths = _ref.paths,
      viewBox = _ref.viewBox,
      _ref$ariaHidden = _ref.ariaHidden,
      ariaHidden = _ref$ariaHidden === void 0 ? true : _ref$ariaHidden,
      className = _ref.className;
  var iconPaths = name ? icons[name] : paths;
  /**
   * 
   *     <svg
        className={`c11n-icon ${classNames.root}`}
        viewBox={`0 0 ${viewBox} ${viewBox}`}
        aria-hidden={ariaHidden}
      >
        {iconPaths &&
          iconPaths.map((pathProps, i) => <path {...pathProps} key={i} />)}
      </svg>
   * 
   */

  return _react.default.createElement("svg", {
    width: viewBox,
    height: viewBox,
    className: className,
    viewBox: "0 0 ".concat(viewBox, " ").concat(viewBox),
    "aria-hidden": ariaHidden
  }, iconPaths && iconPaths.map(function (pathProps, i) {
    return _react.default.createElement("path", Object.assign({}, pathProps, {
      key: i
    }));
  }));
};

Icons.defaultProps = {
  color: 'currentColor',
  paths: [],
  rotate: 0,
  size: 1,
  spin: false,
  styles: {},
  viewBox: 32
};
var _default = Icons;
exports.default = _default;